
Redmine - Defect #25868

Can't upload over 2GB file

2017-05-17 02:24 - allen chen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I use bitnami-redmine-3.3.3-0-windows-installer.exe to install Redmine.

My OS is win7 64 bit.

I set the upload file limit to 4GB.

But when I upload the large file that over 2 GB file it will show Internal Server error.

The Productions.log show below.

Processing by AttachmentsController#upload as JS

Parameters: {"attachment_id"=>"1", "filename"=>"release1.tgz", "content_type"=>"application/gzip"}

Current user: admin (id=1)

Completed 500 Internal Server Error in 140ms (ActiveRecord: 78.0ms)

RangeError (bignum too big to convert into `long'):

app/controllers/attachments_controller.rb:92:in `upload'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2017-05-17 09:09 - Toshi MARUYAMA

- Category changed from Files to Attachments

#2 - 2017-05-17 09:11 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I think Bitnami provides 32 bits Ruby, not 64 bits.

#3 - 2017-05-17 15:44 - allen chen

How to install Redmine with Ruby 64 bits on win7 64 bit?

If I download Ruby 64 bits can I just replace the Ruby folder directly?

#4 - 2017-05-17 16:04 - Toshi MARUYAMA

Please ask bitnami team.

#5 - 2019-04-30 11:35 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
